/**
 * Modal for custom calendar
 *
 * Remove if not in use.
 */
/* The background overlay */
.calendar-modal {
  display: none; /* Hidden by default */
  z-index: 1001; /* Sit on top */
  flex-direction: column; /* display: flex; rule added through JS */
  justify-content: center;
  align-items: center;
  /* position: fixed; Stay in place */
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  width: 100vw; /* Full width */
  height: 100vh; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.6); /* Black w/ opacity */
}

/* The modal content */
.calendar-modal-content {
  background-color: var(--global-palette9);
  margin: 0 auto;
  width: 700px; /* Width of the modal */
  max-width: 90vw;
  max-height: 100vh;
  overflow-y: auto;
  box-shadow:
    0 4px 8px 0 rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 0.4s;
  animation-name: animatetop;
  animation-duration: 0.4s;
}

/* Close button */
.calendar-close-button {
  /* color: #fff; */
  float: right;
  /* font-size: 28px; */
  font-weight: bold;
  position: absolute;
  top: 25px;
  right: 25px;
  padding: 0 15px;
}

.calendar-close-button,
.calendar-close-button {
  /* color: black; */
  text-decoration: none;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .calendar-modal-content {
    width: 100%;
    max-width: 100vw;
    max-height: 100vh;
    margin: 70px 0 0 0;
  }
  .calendar-close-button {
    top: 15;
    right: 25px;
  }
}

/* Add animation */
@-webkit-keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

@keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
